Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • CreateFolder
        • Get permissions
        • Modify permissions
        • DLS suggest
        • Delete folder
        • Move folder entry
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • DlsInitialPermissionItem
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Folder
  4. CreateFolder
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • DlsInitialPermissionItem
  • Responses
  • 200 OK
    • Body

CreateFolder

Creates a new folder.

RequestRequest

POST

https://api.datalens.tech/rpc/createFolder

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "key": "example",
  "initialPermissions": {
    "acl_adm": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_edit": [
      null
    ],
    "acl_view": [
      null
    ],
    "acl_execute": [
      null
    ]
  }
}

Name

Description

key

Type: string

Key of the folder to create.

Example: example

initialPermissions

Type: object

acl_adm

Type: DlsInitialPermissionItem[]

Initial admin permissions.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_edit

Type: DlsInitialPermissionItem[]

Initial edit permissions.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_execute

Type: DlsInitialPermissionItem[]

Initial execute permissions.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_view

Type: DlsInitialPermissionItem[]

Initial view permissions.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

Initial permissions for the folder.

Example
{
  "acl_adm": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_edit": [
    null
  ],
  "acl_view": [
    null
  ],
  "acl_execute": [
    null
  ]
}

DlsInitialPermissionItemDlsInitialPermissionItem

Name

Description

comment

Type: string

Comment describing the reason for this initial permission.

Example: example

subject

Type: string

Subject identifier.

Example: example

Example
{
  "comment": "example",
  "subject": "example"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entryId": "example",
  "scope": "folder",
  "type": "",
  "key": "example",
  "unversionedData": {},
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "savedId": "example",
  "revId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "data": {},
  "meta": {},
  "annotation": null,
  "hidden": true,
  "mirrored": true,
  "public": true,
  "workbookId": null,
  "collectionId": null,
  "version": null,
  "sourceVersion": null,
  "links": null
}

Name

Description

annotation

Type: null

Annotation of the folder.

Example: null

collectionId

Type: null

Collection ID associated with the folder.

Example: null

createdAt

Type: string

Date and time when the folder was created.

Example: example

createdBy

Type: string

ID of the user who created the folder.

Example: example

data

Type: object

Versioned data of the folder.

Example
{}

entryId

Type: string

Unique identifier of the created folder.

Example: example

hidden

Type: boolean

Whether the folder is hidden.

key

Type: string

Key of the created folder.

Example: example

links

Type: null

Links associated with the folder.

Example: null

meta

Type: object

Metadata of the folder.

Example
{}

mirrored

Type: boolean

Whether the folder is mirrored.

public

Type: boolean

Whether the folder is public.

publishedId

Type: string | null

ID of the published folder revision.

Example: example

revId

Type: string

ID of the current folder revision.

Example: example

savedId

Type: string

ID of the saved folder revision.

Example: example

scope

Type: string

Scope of the created entry.

Const: folder

Example: example

sourceVersion

Type: null

Source folder schema version.

Example: null

tenantId

Type: string

ID of the tenant that owns the folder.

Example: example

type

Type: string

Type of the created folder entry.

Const: ``

Example: example

unversionedData

Type: object

Unversioned data of the folder.

Example
{}

updatedAt

Type: string

Date and time when the folder was last updated.

Example: example

updatedBy

Type: string

ID of the user who last updated the folder.

Example: example

version

Type: null

Folder schema version.

Example: null

workbookId

Type: null

Workbook ID associated with the folder.

Example: null

Была ли статья полезна?

Предыдущая
Overview
Следующая
Get permissions
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»